Subject: Re: linux-next: manual merge of the seccomp tree with the kselftest tree

From: Shuah Khan <[email-masked]>
Date: Wed, 5 Aug 2020 16:24:04 -0600

On 8/4/20 11:45 PM, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 20 Jul 2020 15:59:17 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi all,
>>
>> Today's linux-next merge of the seccomp tree got a conflict in:
>>
>>    tools/testing/selftests/seccomp/seccomp_bpf.c
>>
>> between commit:
>>
>>    4c6614dc86ad ("selftests/seccomp: Check ENOSYS under tracing")
>>
>> from the kselftest tree and commit:
>>
>>    11eb004ef7ea ("selftests/seccomp: Check ENOSYS under tracing")
>>
>> from the seccomp tree.
>>
>> I fixed it up (I just used the latter version) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to consider
>> cooperating with the maintainer of the conflicting tree to minimise any
>> particularly complex conflicts.
> 
> This is now a conflict between the kselftest tree and Linus' tree.
> 

This is sorted out. I added a note to my pull request.

thanks,
-- Shuah